"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShouldQuery = void 0;
const abstract_query_1 = require("./abstract.query");
class ShouldQuery extends abstract_query_1.AbstractQuery {
    constructor(queries) {
        super();
        this.queries = queries;
    }
    getQuery() {
        return {
            bool: {
                should: this.queries.map(query => query.getQuery()),
            },
        };
    }
}
exports.ShouldQuery = ShouldQuery;
//# sourceMappingURL=should.query.js.map